﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
DATE:                  2017-07-19 09:44:14
AUTHOR:                Fluke
REVISION:              $Revision: 20361 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       78
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Models Covered:
#        DPO7054, DPO7104, DPO7254, DPO7354
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  IEEE2        *RST;HEADER OFF
  1.005  CALL         Sub Tek DPO7000 Select Channel IEEE

  1.006  RSLT         =
  1.007  HEAD         {TIMEBASE ACCURACY TEST}
  1.008  CALL         Sub Initialize /LFCTR
  1.009  MATH         @LFCTR_Func     = "FreqCh1"
  1.010  MATH         @LFCTR_Ampl     = "3.5V"
  1.011  MATH         @LFCTR_MeasTime = "1s"
  1.012  MATH         Ctr = @LFCTR_DevName & " " & @LFCTR_Ch1
  1.013  TARGET       -p
  1.014  CALL         Sub Reset /LFCTR
  1.015  CALL         Sub Setup /LFCTR
  1.016  DISP         Connect DUT AUX OUT (on rear panel) to [V Ctr].
  1.017  IEEE2        AUX:SOURCE REFOUT
  1.018  TARGET       -m
  1.019  CALL         Sub Read /LFCTR
  1.020  MATH         @LFCTR_Meas =  MEM
  1.021  CALL         Sub Get Accuracy (Enhanced) /LFCTR
  1.022  MATH         MEM = MEM / 1E+3
  1.023  MATH         L[1] = @LFCTR_Acc / 1E+3 / @LFCTR_Conf * 2
  1.024  ACC    10    kHz            L1U
  1.025  MEMC         10000.000kHz   0.035U

  2.001  HEAD
  2.002  DISP         Disconnect the DUT from [V Ctr].
  2.003  END
