﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek DPO7054: (1 yr) VER IEEE /9500/600+1Hd,LFCTR
DATE:                  2017-07-24 10:02:37
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       303
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9520 on channel 1
CONFIGURATION:         Low Frequency Counter
=============================================================================
#
#  Procedure Author:
#        ZY, DAC
#
#  Sources:
#        DPO7000, DSA/DPO70000, and DSA/DPO7000B Series
#        Digital Phosphor Oscilloscopes
#        Specification and Performance Verification
#        Technical Reference
#        077-0063-01
#        This document applies to firmware version 4.0.0 and above.
#
#  Additional Equipment Required:
#        1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
#        1 ea. BNC Shorting Cap (f)
#        1 ea. BNC attenuator, 2X (6 dB)
#        1 ea. BNC power splitter
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  9500         1Vpp                         1MH            FE    S  L
  1.004  IEEE         [@LFCTR]
  1.005  ENDIF

  1.006  MATH         @Bandwidth = 500E+6; @NumChan = 4; @MultiHd = 0

  1.007  ASK-   R   Q N              P                            A        V

  1.008  IF           NOT(VERSIONCHECK("8.0"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning
  1.013  CALL         Sub Select Failed Test Mode
  1.014  CALL         Sub Select Verification Method (No NTHROW)

  1.015  HEAD         PRELIMINARY INSTRUCTIONS
  1.016  TARGET
  1.017  DISP         Ensure a minimum DUT warm-up time of at least
  1.017  DISP         20 minutes has been allowed to elapse, prior
  1.017  DISP         to beginning verification.

  1.018  CALL         Sub Tek DPO7000 Setup IEEE
  1.019  CALL         Sub DUT Connection GPIB

  1.020  MATH         @DUT_Manufacturer = "TEKTRONIX"
  1.021  MATH         @DUT_Model        = "DPO7054"
  1.022  MATH         @DUT_AssetNum     = UUT()

  1.023  IF           NOT(EMPTY(@DUT_AssetNum))
  1.024  MATH         @DUT_SerialNum = SN(@DUT_AssetNum)
  1.025  ENDIF

  1.026  CALL         Sub IEEE-488.2 *IDN? IEEE
  1.027  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.028  JMPL         END                             @Abort
  1.029  CALL         Sub Tek DPO7000 Check Firmware Version
  1.030  JMPL         END                             @Abort

  1.031  HEAD         EQUIPMENT REQUIREMENTS
  1.032  OPBR         -z Do you want to review the list of additional
  1.032  OPBR         equipment and/or accessories required?

  1.033  IF           MEM1
  1.034  DISP         - 1 ea. 60" 50 Ω Precision BNC coaxial cable (m-m)
  1.034  DISP         - 1 ea. BNC Shorting Cap (f)
  1.034  DISP         - 1 ea. BNC attenuator, 2X (6 dB)
  1.034  DISP         - 1 ea. BNC power splitter
  1.035  ENDIF

  1.036  OPBR         -z Do you want to review the list of flexible standards,
  1.036  OPBR         additional equipment and/or accessories required?

  1.037  IF           MEM1
  1.038  DISP         The indicated minimum use specifications must be
  1.038  DISP         satisfied when configuring the following devices
  1.038  DISP         as flexible standards:
  1.039  DISP
  1.039  DISP         LF Counter (LFCTR):
  1.039  DISP         [32] Ch. A Frequency Range: 10 MHz
  1.039  DISP         [32]   Accuracy: ±3.5 ppm/year
  1.039  DISP         [32] Example: Fluke PM6681 with PM9678B option
  1.039  DISP         [32] or equivalent

  1.040  DISP         Additional equipment/accessories required:
  1.040  DISP
  1.040  DISP         - Frequency Standard, suitable for use with configured
  1.040  DISP         [32] LF counter, ±3.5 ppm or better, Fluke PM6681 with
  1.040  DISP         [32] PM9678B option or equivalent (if required)
  1.041  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Preserving Results Order While Optimizing
# Execution Sequence in MET/CAL Procedures.

  1.042  CALL         Sub Tek DPO7000 Self-Test IEEE
  1.043  JMPL         END                           @Abort
  1.044  CALL         Sub Tek DPO7000 Signal Path Compensation IEEE
  1.045  JMPL         END                           @Abort

  1.046  OPBR         -z The purpose of functional tests are to confirm the
  1.046  OPBR         DUT functions properly; that is, they verify the DUT
  1.046  OPBR         features operate. They do not verify that they operate
  1.046  OPBR         within limits. If more extensive confirmation of
  1.046  OPBR         performance is desired, please execute the full
  1.046  OPBR         performance test.
  1.046  OPBR
  1.046  OPBR         Do you want to execute the functional tests?

  1.047  IF           MEM1
  1.048  CALL         Sub Tek DPO7000 Functional Tests IEEE
  1.049  ENDIF

  1.050  MATH         @Chan = 1
  1.051  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.052  JMPL         BW_CH1

  1.053  LABEL        DCV_CH2
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.056  JMPL         BW_CH2

  1.057  LABEL        DCV_CH3
  1.058  MATH         @Chan = 3
  1.059  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.060  JMPL         BW_CH3

  1.061  LABEL        DCV_CH4
  1.062  MATH         @Chan = 4
  1.063  CALL         Sub Tek DPO7000 (1 yr) DCV Measurement VER IEEE /9500
  1.064  JMPL         BW_CH4

  1.065  LABEL        BW_CH1
  1.066  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.067  JMPL         TIME_QUALIFIED

  1.068  LABEL        BW_CH2
  1.069  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.070  JMPL         TRIGGER_CH2_50MHz

  1.071  LABEL        BW_CH3
  1.072  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.073  JMPL         TRIGGER_CH3_50MHz

  1.074  LABEL        BW_CH4
  1.075  CALL         Sub Tek DPO7054 (1 yr) Bandwidth VER IEEE /9500/600
  1.076  JMPL         TRIGGER_CH4_50MHz

  1.077  LABEL        TIMEBASE_ACCURACY
  1.078  CALL         Sub Tek DPO7000 (1 yr) Timebase Acc VER IEEE /LFCTR
  1.079  JMPL         AUX_TRIGGER_OUT

  1.080  LABEL        TIMEBASE_REF
  1.081  CALL         Sub Tek DPO7000 (1 yr) Timebase Ref VER IEEE /9500
  1.082  JMPL         DCV_CH2

  1.083  LABEL        DELTA_CH1
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.086  MATH         @Chan = 2
  1.087  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.088  MATH         @Chan = 3
  1.089  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500
  1.090  MATH         @Chan = 4
  1.091  CALL         Sub Tek DPO7000 (1 yr) Delta Time VER IEEE /9500

  1.092  DISP         Remove all connections.
  1.093  JMPL         TRIGGER_CH1_AUX_IN_50MHz

  1.094  LABEL        TIME_QUALIFIED
  1.095  CALL         Sub Tek DPO7000 (1 yr) Time Qualified VER IEEE /9500

# -----  Trigger Sensitivity Ch 1  ------------------------------------------

  1.096  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.097  JMPL         TRIGGER_CH1_FULL_BW

  1.098  LABEL        TRIGGER_CH1_AUX_IN_50MHz
  1.099  MATH         @Chan = 1
  1.100  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.101  JMPL         TRIGGER_CH2_AUX_IN_50MHz

  1.102  LABEL        TRIGGER_CH1_FULL_BW
  1.103  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.104  JMPL         TIMEBASE_REF

  1.105  LABEL        TRIGGER_CH1_AUX_IN_250MHz
  1.106  MATH         @Chan = 1
  1.107  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.108  JMPL         TRIGGER_CH2_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 2  ------------------------------------------

  1.109  LABEL        TRIGGER_CH2_50MHz
  1.110  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.111  JMPL         TRIGGER_CH2_FULL_BW

  1.112  LABEL        TRIGGER_CH2_AUX_IN_50MHz
  1.113  MATH         @Chan = 2
  1.114  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.115  JMPL         TRIGGER_CH3_AUX_IN_50MHz

  1.116  LABEL        TRIGGER_CH2_FULL_BW
  1.117  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.118  JMPL         DCV_CH3

  1.119  LABEL        TRIGGER_CH2_AUX_IN_250MHz
  1.120  MATH         @Chan = 2
  1.121  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.122  JMPL         TRIGGER_CH3_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 3 ------------------------------------------

  1.123  LABEL        TRIGGER_CH3_50MHz
  1.124  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.125  JMPL         TRIGGER_CH3_FULL_BW

  1.126  LABEL        TRIGGER_CH3_AUX_IN_50MHz
  1.127  MATH         @Chan = 3
  1.128  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.129  JMPL         TRIGGER_CH4_AUX_IN_50MHz

  1.130  LABEL        TRIGGER_CH3_FULL_BW
  1.131  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600
  1.132  JMPL         DCV_CH4

  1.133  LABEL        TRIGGER_CH3_AUX_IN_250MHz
  1.134  MATH         @Chan = 3
  1.135  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500
  1.136  JMPL         TRIGGER_CH4_AUX_IN_250MHz

# -----  Trigger Sensitivity Ch 4  ------------------------------------------

  1.137  LABEL        TRIGGER_CH4_50MHz
  1.138  CALL         Sub Tek DPO7000 (1 yr) Trigger 50 MHz VER IEEE /9500
  1.139  JMPL         TRIGGER_CH4_FULL_BW

  1.140  LABEL        TRIGGER_CH4_AUX_IN_50MHz
  1.141  MATH         @Chan = 4
  1.142  CALL         Sub Tek DPO7000 (1 yr) Aux In 50 MHz VER IEEE /9500
  1.143  JMPL         TRIGGER_CH1_AUX_IN_250MHz

  1.144  LABEL        TRIGGER_CH4_FULL_BW
  1.145  CALL         Sub Tek DPO7054 (1 yr) Trig Full BW VER IEEE /9500/600

  1.146  DISP         Remove all connections.
  1.147  JMPL         DELTA_CH1

  1.148  LABEL        TRIGGER_CH4_AUX_IN_250MHz
  1.149  MATH         @Chan = 4
  1.150  CALL         Sub Tek DPO7000 (1 yr) Aux In 250 MHz VER IEEE /9500

  1.151  DISP         Remove all connections.
  1.152  JMPL         TIMEBASE_ACCURACY

  1.153  LABEL        AUX_TRIGGER_OUT
  1.154  MATH         @Chan = 1
  1.155  CALL         Sub Tek DPO7000 (1 yr) Aux Trigger Out VER IEEE
  1.156  CALL         Sub Tek DPO7000 (1 yr) Probe Comp VER IEEE /9500

  1.157  LABEL        END
  1.158  IEEE2        *RST[GTL]

  1.159  IF           @Abort
  1.160  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.161  ENDIF

  1.162  END
